Debian Bug report logs - #635515
transition: hunspell

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Rene Engelhard <rene@debian.org>

Date: Tue, 26 Jul 2011 13:45:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635515; Package release.debian.org. (Tue, 26 Jul 2011 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 26 Jul 2011 13:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: hunspell
Date: Tue, 26 Jul 2011 15:43:02 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

hunspell 1.3.1 already changed ABI (bugt that was not reflected in the version,
that was fixed in 1.3.2) but int also has many fixes and improvements
over 1.2.x.. So I'd like to upload it so sid (LibreOffice is in it's
development tree already using 1.3.x, too) and this needs a transition...

Affected packages:

$ grep-available -FDepends libhunspell-1.2-0 -sPackage
Package: focuswriter
Package: xulrunner-1.9.1
Package: libenchant1c2a
Package: tea
Package: licq-plugin-qt4
Package: mudlet
Package: iceape-browser
Package: xulrunner-5.0
Package: lokalize
Package: texworks
Package: icedove
Package: libreoffice-core
Package: goldendict

For the transition tracker:

Affected: .build-depends ~ /libhunspell-dev/
Good: .depends ~ /libhunspell-1.3-0/
Bad: .depends ~ /libhunspell-1.2-0/

They should be bin-NMUable.
I checked libreoffice, enchant and iceweasel (xulrunner-5.0)/icedove.

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Grüße/Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635515; Package release.debian.org. (Wed, 07 Sep 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rene Engelhard" <rene.engelhard@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Sep 2011 13:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 635515@bugs.debian.org (full text, mbox):

From: "Rene Engelhard" <rene.engelhard@gmx.de>
To: "Thijs Kinkhorst" <thijs@debian.org>, kurt@roeckx.be, debian-openoffice@lists.debian.org
Cc: 635515@bugs.debian.org
Subject: Re: hunspell 1.3 in unstable
Date: Wed, 07 Sep 2011 15:37:50 +0200
Hi,

Thijs Kinkhorst wrote:
> Is it already known when hunspell 1.3.x can be expected to land in
> unstable? The upcoming release of 'dutch' depends on it.

Whenever the release team allows it, as it involves a transition with quite a few big packages (see #635515). In contrast to icu etc it doesn't even 
show up in the transition tracker yet.
I asked them for permission to upload after iceweasel 5.x was in,
and I got a "no".

RT, any timeframe when I can start the hunspell transition?

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635515; Package release.debian.org. (Thu, 06 Oct 2011 13:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 13:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 635515@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 644506-done@bugs.debian.org
Cc: 635515@bugs.debian.org
Subject: Re: Bug#644506: hunspell: crash with some morphological fields combination
Date: Thu, 6 Oct 2011 15:46:14 +0200
Version: 1.3.2-1

Hi,

On Thu, Oct 06, 2011 at 03:22:24PM +0200, Davide Prina wrote:
> Package: hunspell
> Version: 1.2.14-4
> Severity: important
> Tags: fixed-in-experimental
[...]
> hunspell crash on some wrong words if some morphological fields
> combinations are present in the affix file. Note that you have crash
> only on some wrong words.
>
> Note that this crash can be reproducible in (i think all)
> applications that use hunspell spellchecker (i.e. LibreOffice, that
> I have tested: you have a crash if you right click at some red
> underscored words).

so it's a bug in libhunspell, not hunspell ;-)

> This bug seem to be fixed with hunspell 1.3.2, please let it go to
> sid and testing and let all application depend on it.

I would have done already months ago, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635515, maybe you want
to convince them to allow the transition it now that python-defaults is in?

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635515; Package release.debian.org. (Thu, 06 Oct 2011 14:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 14:18:06 GMT) Full text and rfc822 format available.

Message #20 received at 635515@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 635515@bugs.debian.org
Subject: Re: Bug#635515: Bug#644506: hunspell: crash with some morphological fields combination
Date: Thu, 6 Oct 2011 16:14:54 +0200
On Thu, Oct 06, 2011 at 03:46:14PM +0200, Rene Engelhard wrote:
> I would have done already months ago, see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635515, maybe you want
> to convince them to allow the transition it now that python-defaults is in?

Updated list of affected packages:

# grep-available -FDepends libhunspell-1.2-0 -sPackage
Package: focuswriter
Package: xulrunner-1.9.1
Package: libenchant1c2a
Package: tea
Package: licq-plugin-qt4
Package: libhunspell-dev
Package: mudlet
Package: iceape-browser
Package: xulrunner-5.0
Package: lokalize
Package: texworks
Package: icedove
Package: libreoffice-core
Package: xulrunner-6.0
Package: goldendict
Package: xulrunner-7.0

Grüße/Regards,
 
René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635515; Package release.debian.org. (Thu, 06 Oct 2011 20:18:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 20:18:16 GMT) Full text and rfc822 format available.

Message #25 received at 635515@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Rene Engelhard <rene@debian.org>, 635515@bugs.debian.org
Subject: Re: Bug#635515: transition: hunspell
Date: Thu, 6 Oct 2011 22:16:44 +0200
On Tue, Jul 26, 2011 at 15:43:02 +0200, Rene Engelhard wrote:

> hunspell 1.3.1 already changed ABI (bugt that was not reflected in the version,
> that was fixed in 1.3.2) but int also has many fixes and improvements
> over 1.2.x.. So I'd like to upload it so sid (LibreOffice is in it's
> development tree already using 1.3.x, too) and this needs a transition...
> 
Feel free to upload to sid.

Cheers,
Julien




Added blocking bug(s) of 635515: 644592 and 644649 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 13 Oct 2011 16:51:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 13 Oct 2011 17:42:12 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 03 Nov 2011 10:33:30 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Thu, 03 Nov 2011 10:33:34 GMT) Full text and rfc822 format available.

Message #34 received at 635515-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Rene Engelhard <rene@debian.org>, 635515-done@bugs.debian.org
Subject: Re: Bug#635515: transition: hunspell
Date: Thu, 3 Nov 2011 11:28:11 +0100
On Tue, Jul 26, 2011 at 15:43:02 +0200, Rene Engelhard wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> hunspell 1.3.1 already changed ABI (bugt that was not reflected in the version,
> that was fixed in 1.3.2) but int also has many fixes and improvements
> over 1.2.x.. So I'd like to upload it so sid (LibreOffice is in it's
> development tree already using 1.3.x, too) and this needs a transition...
> 
All done.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Dec 2011 07:32:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:27:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.